资源中心/网络服务/网络服务相关接口/防火墙相关接口
查询防火墙规则
查询防火墙规则
GET
/zstack/v1/vpcfirewalls/rulesGET
/zstack/v1/vpcfirewalls/rules/{uuid}操作 ID
QueryFirewallRule起始版本
3.6.0执行模式
同步认证信息
需要认证认证信息
调用该 API 时需要在请求头中携带以下认证信息。
Authorizationstring必填Bearer 令牌
X-Tenant-IDstringX-Tenant-ID
请求参数
查询参数
qString查询条件。
响应状态
200 OK200 OK
该 API 成功时返回以下响应结构。
errorErrorCode必填错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error
codeString必填错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001
descriptionString必填错误的概要描述
detailsString必填错误的详细信息
elaborationString必填保留字段,默认为null
opaqueLinkedHashMap必填保留字段,默认为null
causeErrorCode必填根错误,引发当前错误的源错误,若无原错误,该字段为null
inventoriesList必填详情参考inventories
uuidString必填资源的UUID,唯一标示该资源
ruleSetUuidString必填防火墙规则集uuid
destPortString必填目标端口
sourcePortString必填源端口
sourceIpString必填源ip
destIpString必填目的ip
ruleNumberInteger必填优先级
allowStatesString必填检测报文状态
tcpFlagString必填TCP标志。
icmpTypeNameString必填icmp类型。
isDefaultboolean必填是否是过期规则
isAppliedboolean必填是否为系统规则
expiredboolean必填是否已在使用
descriptionString必填资源的详细描述
createDateTimestamp必填创建时间
lastOpDateTimestamp必填最后一次修改时间
actionActionType必填详情参考action
dropActionType必填暂无描述。
rejectActionType必填拒绝。
acceptActionType必填接受。
protocolProtocolType必填详情参考protocol
tcp_udpProtocolType必填暂无描述。
allProtocolType必填全部。
ahProtocolType必填安恒。
ax.25ProtocolType必填暂无描述。
dccpProtocolType必填暂无描述。
ddpProtocolType必填暂无描述。
egpProtocolType必填暂无描述。
eigrpProtocolType必填暂无描述。
encapProtocolType必填暂无描述。
espProtocolType必填暂无描述。
etheripProtocolType必填暂无描述。
fcProtocolType必填暂无描述。
ggpProtocolType必填暂无描述。
greProtocolType必填暂无描述。
hipProtocolType必填暂无描述。
hmpProtocolType必填暂无描述。
icmpProtocolType必填暂无描述。
ipdr-cmtpProtocolType必填暂无描述。
idprProtocolType必填暂无描述。
igmpProtocolType必填暂无描述。
igpProtocolType必填暂无描述。
ipProtocolType必填来源IP地址。
ipcompProtocolType必填暂无描述。
ipencapProtocolType必填暂无描述。
ipipProtocolType必填暂无描述。
isisProtocolType必填暂无描述。
iso-tp4ProtocolType必填暂无描述。
l2tpProtocolType必填暂无描述。
manetProtocolType必填暂无描述。
mpls-in-ipProtocolType必填暂无描述。
ospfProtocolType必填暂无描述。
pimProtocolType必填暂无描述。
pupProtocolType必填暂无描述。
rdpProtocolType必填暂无描述。
rohcProtocolType必填暂无描述。
rspfProtocolType必填暂无描述。
rsvpProtocolType必填暂无描述。
sctpProtocolType必填暂无描述。
skipProtocolType必填跳过。
stProtocolType必填暂无描述。
tcpProtocolType必填暂无描述。
udpProtocolType必填暂无描述。
udpliteProtocolType必填暂无描述。
vmtpProtocolType必填暂无描述。
vrrpProtocolType必填暂无描述。
wespProtocolType必填暂无描述。
xns-idpProtocolType必填暂无描述。
xtpProtocolType必填暂无描述。
stateFirewallRuleState必填详情参考state
disableFirewallRuleState必填是否功能已禁用。
enableFirewallRuleState必填是否功能已启用。
